//
//  UserSettingView.swift
//  AcaMate
//
//  Created by TAnine on 2/13/25.
//

import SwiftUI

struct UserSettingView: View {
    var myType: UserType
    
    var body: some View {
        EtcBoxView(title: "설정") {
            VStack(spacing: 0){
                EtcCellView(title: "정보 변경") {
                    
                    // MARK: TO-DO
                    // 정보 변경 이동
                    printLog("정보 변경 이동")
                }
                DashedDivider()
                EtcCellView(title: "계정 관리") {
                    
                    // MARK: TO-DO
                    // 계정 관리 이동
                    printLog("계정 관리 이동")
                }
                if myType == .Admin {
                    DashedDivider()
                    EtcCellView(title: "관리자 페이지") {
                        
                        // MARK: TO-DO
                        // 이거 분기 쳐서 특정 사용자 아니면 접근 못하게 막기
                        
                        printLog("관리자 페이지 이동")
                    }
                }
                
            }
        }
    }
}

